import QtQuick 2.6
import Sailfish.Silica 1.0

Page {
    SilicaListView {
        id: sensorsListView
        anchors.fill: parent
        header: PageHeader { title: qsTr("WebSockets") }
        delegate: ListItem {
            onClicked: pageStack.push(Qt.resolvedUrl('./%1Page.qml'.arg(model.page)));

            Label {
                text: model.name
                anchors {
                    verticalCenter: parent.verticalCenter
                    left: parent.left
                    right: parent.right
                    margins: Theme.horizontalPageMargin
                }
                color: highlighted ? Theme.highlightColor : Theme.primaryColor
            }
        }
        model:  ListModel {
            ListElement {
                name: qsTr("Client")
                page: "Client"
            }
            ListElement {
                name: qsTr("Server")
                page: "Server"
            }
        }
    }
}
